
DataONE R Client - Task #3475

Story # 3430 (Closed): Should be able to include pre-existing objects in a new package and create the package without exceptions

refactor createDataPackage

2013-01-11 16:41 - Rob Nahf

Status: Closed Start date: 2013-01-11

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.1.0   

Milestone: CCI-1.1.1 Story Points:  

Description

have createDataPackage check the sysmeta.dateUploaded field before creating the object.

Any downloaded D1Objects will have this field filled out.  Any new ones should not. (field will be null).

History

#1 - 2013-01-11 17:01 - Rob Nahf

- Status changed from In Progress to Testing

#2 - 2013-01-12 00:06 - Rob Nahf

- Status changed from Testing to In Review

#3 - 2013-03-01 22:12 - Rob Nahf

- Status changed from In Review to Closed

- % Done changed from 80 to 100

- translation missing: en.field_remaining_hours set to 0.0

this is completed and has been deployed in v1.0.0

#4 - 2013-03-01 22:17 - Rob Nahf

- Target version set to DataONE R Client 1.1.0
